Bug 134787 - Ability to compare CPU snapshots
Ability to compare CPU snapshots
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P3 with 1 vote (vote)
: 7.3
Assigned To: Jiri Sedlacek
issues@profiler
bugdb_12577118
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-09 20:05 UTC by jamesvera
Modified: 2013-07-04 06:54 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jamesvera 2008-05-09 20:05:33 UTC
It would be helpful to have the ability to compare CPU snapshots as one can currently do with memory snapshots. 
Currently , one has to eyeball two different snapshots to see if a hopeful performance code change had a desirable effect
Comment 1 Jiri Sedlacek 2008-05-09 20:56:14 UTC
Could you please describe in more details how CPU snapshots comparison should look like? Do you have experience with any
other tool which supports this feature? It doesn't seem easy to compare two potentially different trees. Thanks.
Comment 2 jamesvera 2008-05-09 21:57:56 UTC
Sure, thanks for asking.

The simplest thing I would expect would be a diff between the hotspot listing.  More interesting would a comparison of
trees which would be something like running a a tree-based diff algorithm and displaying the diff projected on one of
the trees.

Some tools that have such a feature:
dotTrace (see http://www.jetbrains.com/profiler/documentation/index.html (1st video))
Yourkit (see http://www.yourkit.com/features/index.jsp#cpu_compare_snapshots)
jProbe (see http://www.quest.com/jprobe/automate_report.aspx (They call is snapshot differencing))

Please let me know if I can answer any further.
Comment 3 Tomas Hurka 2009-04-08 12:56:48 UTC
Milestone cleanup: future->next
Comment 4 Quality Engineering 2012-06-24 04:42:50 UTC
Integrated into 'main-golden', will be available in build *201206240002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/e35c29ef4150
User: Jiri Sedlacek <jis@netbeans.org>
Log: Initial implementation of #134787 - comparing CPU snapshots
Comment 5 Jiri Sedlacek 2012-06-24 10:40:04 UTC
Initial version implemented for 7.3:

 http://hg.netbeans.org/profiler-main/rev/e35c29ef4150
 http://hg.netbeans.org/profiler-main/rev/7896bf2e3e51
Comment 6 Quality Engineering 2012-06-25 04:47:02 UTC
Integrated into 'main-golden', will be available in build *201206250002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/7896bf2e3e51
User: Jiri Sedlacek <jis@netbeans.org>
Log: Working Go To Source and other fixes for #134787 - Compare CPU Snapshots
Comment 7 Jiri Sedlacek 2012-06-25 11:18:25 UTC
Additional changes implemented by http://hg.netbeans.org/profiler-main/rev/02054b98090d.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo